Tuesday, August 12, 2008

AutoCAD Single line commands

AutoCAD One line short-cuts. Type these on command-prompt.

;Instant ERASE with crossing-window...
(COMMAND "ERASE" "SI" "AUTO" "c")(princ)

;FILLET with crossing-window...
(COMMAND "FILLET" "C")(princ)

;Sets FILLET radius to zero.
(COMMAND "FILLET" "R" "0")(princ)

;Rotate any object @ 90° from its pick point.
(setq rsel (entsel) rp1 (cadr rsel))(command "rotate" rsel "" rp1 "90")(princ)

;Break an ARC/LINE/PLINE in 2 pieces from its pick point.
(IF (< (GETVAR "OSMODE") 16384)(SETVAR "OSMODE" (+ (GETVAR "OSMODE") 16384)))(setq bsel (entsel) bp1 (cadr bsel))(command "break" bsel "F" bp1 "@")(princ)

;Saves a previous selection by name "s1". Type "!s1" (at Select Object prompt) to retrieve this selection set at any later time.
(setq s1 (ssget "p"))

;This command creates continuous hatching.
(setq ent (ssget))(command "hatch" "" "" "" ent "")(princ)

No comments:

Post a Comment